var pullToRefreshModule = require('nl.icept.pull2refresh');

var tableData = [
	{title: 'Row 1'},
	{title: 'Pull down to refresh'},
	{title: 'Row 3'}
];

var tableView = Titanium.UI.createTableView({
	data: tableData
});

Titanium.UI.currentWindow.add(tableView);

//PULL 2 REFRESH
pullToRefreshModule.addPullRefreshToTableView(tableView, function() {
	for (var i = 0; i < 1000000000; i++) {} //just slow it down a bit
	
	tableData.push({ title: 'Row ' + (tableData.length+1) });
	tableView.setData(tableData);
}, { //settings
	backgroundColor: '#0000FF',
	dateFormat: 'HH:MM',
	
	statusLabel: {
		color: '#FF0000',
	},
	
	updateLabel: {
		color: '#00FF00',
	},
	
	activityIndicator: {
		left: undefined,
		right: 30
	},
	
	imageView: {
		hidden: true
	},
});


//------------------
// DEFAULT SETTINGS
//------------------

/*
{
	dateFormat: 'dd-mm-yyyy HH:MM',
	
	backgroundColor: '#e2e7ed',
	
	width: 320,
	height: 65,
	
	offset: 65,
	
	border: {
		backgroundColor: '#576c89',
		
		hidden: false,
		
		width: undefined,
		height: 2,
		
		top: undefined,
		bottom: 0,
		left: undefined,
		right: undefined,
	},
	
	statusLabel: {
		loadingText: 'Loading...',
		pullText: 'Pull down to refresh...',
		releaseText: 'Release to refresh...',
		
		hidden: false,
		
		color: '#777c82',
		textAlign: "center",
		fontSize: 13,
		fontWeight: "bold",
		
		width: 320,
		height: 'auto',
		
		top: undefined,
		bottom: 30,
		left: 0,
		right: undefined,
	},
	
	updateLabel: {
		text: 'Last Updated: {date}',
		
		hidden: false,
		
		color: '#777c82',
		textAlign: "center",
		fontSize: 12,
		fontWeight: "normal",
		
		width: 320,
		height: 'auto',
		
		top: undefined,
		bottom: 15,
		left: 0,
		right: undefined,
	},
	
	activityIndicator: {
		width: 30,
		height: 30,
		
		hidden: false,
		
		top: undefined,
		bottom: 13,
		left: 20,
		right: undefined,
		
		style: Titanium.UI.iPhone.ActivityIndicatorStyle.DARK
	},
	
	imageView: {
		image: 'arrow.png',
		
		width: 23,
		height: 60,
		
		hidden: false,
		
		top: undefined,
		bottom: 5,
		left: 20,
		right: undefined,
		
		animation: {
			rotation: 180,
			duration: 180
		}
	}
}
*/